Package com.google.android.exoplayer2.text.span

## Class TextEmphasisSpan

- java.lang.Object
- - com.google.android.exoplayer2.text.span.TextEmphasisSpan

- All Implemented Interfaces:
    `LanguageFeatureSpan`

      public final class TextEmphasisSpan
      extends Object
      implements LanguageFeatureSpan

  A styling span for text emphasis marks.

  These are pronunciation aids such as Japanese boutens which can be rendered using the text-emphasis CSS property.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `TextEmphasisSpan.MarkFill` | The possible mark fills that can be used.
    `static interface` | `TextEmphasisSpan.MarkShape` | The possible mark shapes that can be used.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `MARK_FILL_FILLED` |
    `static int` | `MARK_FILL_OPEN` |
    `static int` | `MARK_FILL_UNKNOWN` |
    `static int` | `MARK_SHAPE_CIRCLE` |
    `static int` | `MARK_SHAPE_DOT` |
    `static int` | `MARK_SHAPE_NONE` |
    `static int` | `MARK_SHAPE_SESAME` |
    `@com.google.android.exoplayer2.text.span.TextEmphasisSpan.MarkShape int` | `markFill` | The mark fill for the text emphasis mark.
    `@com.google.android.exoplayer2.text.span.TextEmphasisSpan.MarkShape int` | `markShape` | The mark shape used for text emphasis.
    `@com.google.android.exoplayer2.text.span.TextAnnotation.Position int` | `position` | The position of the text emphasis relative to the base text.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextEmphasisSpan​(@com.google.android.exoplayer2.text.span.TextEmphasisSpan.MarkShape int shape, @com.google.android.exoplayer2.text.span.TextEmphasisSpan.MarkFill int fill, @com.google.android.exoplayer2.text.span.TextAnnotation.Position int position)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MARK_SHAPE_NONE

          public static final int MARK_SHAPE_NONE

      See Also:
        Constant Field Values

    - #### MARK_SHAPE_CIRCLE

          public static final int MARK_SHAPE_CIRCLE

      See Also:
        Constant Field Values

    - #### MARK_SHAPE_DOT

          public static final int MARK_SHAPE_DOT

      See Also:
        Constant Field Values

    - #### MARK_SHAPE_SESAME

          public static final int MARK_SHAPE_SESAME

      See Also:
        Constant Field Values

    - #### MARK_FILL_UNKNOWN

          public static final int MARK_FILL_UNKNOWN

      See Also:
        Constant Field Values

    - #### MARK_FILL_FILLED

          public static final int MARK_FILL_FILLED

      See Also:
        Constant Field Values

    - #### MARK_FILL_OPEN

          public static final int MARK_FILL_OPEN

      See Also:
        Constant Field Values

    - #### markShape

          public @com.google.android.exoplayer2.text.span.TextEmphasisSpan.MarkShape int markShape

      The mark shape used for text emphasis.

    - #### markFill

          public @com.google.android.exoplayer2.text.span.TextEmphasisSpan.MarkShape int markFill

      The mark fill for the text emphasis mark.

    - #### position

          public final @com.google.android.exoplayer2.text.span.TextAnnotation.Position int position

      The position of the text emphasis relative to the base text.

  - ### Constructor Detail

    - #### TextEmphasisSpan

          public TextEmphasisSpan​(@com.google.android.exoplayer2.text.span.TextEmphasisSpan.MarkShape int shape,
                                  @com.google.android.exoplayer2.text.span.TextEmphasisSpan.MarkFill int fill,
                                  @com.google.android.exoplayer2.text.span.TextAnnotation.Position int position)